OpenVDB: InternalNode< ChildT >::DenseIterator Class Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
InternalNode< ChildT >::DenseIterator Class Reference

Visits all tile values and child nodes of this node. More...

`#include <nanovdb/util/GridBuilder.h>`

Inheritance diagram for InternalNode< ChildT >::DenseIterator:

## Public Member Functions
| DenseIterator ()
| DenseIterator (const InternalNode *parent)
DenseIterator & | operator= (const DenseIterator &)=default
ChildT * | probeChild (ValueType &value) const
Coord | getCoord () const
uint32_t | operator* () const
uint32_t | pos () const
| operator bool () const
DenseIterator & | operator++ ()
DenseIterator | operator++ (int)

## Detailed Description

template<typename ChildT>
class nanovdb::build::InternalNode< ChildT >::DenseIterator

Visits all tile values and child nodes of this node.

## Constructor & Destructor Documentation

## ◆ DenseIterator() [1/2]

template<typename ChildT >

DenseIterator | ( |  | ) |
| inline

## ◆ DenseIterator() [2/2]

template<typename ChildT >

DenseIterator | ( | const InternalNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT >

Coord getCoord | ( |  | ) | const
| inline

## ◆ operator bool()

template<uint32_t LOG2DIM>

operator bool | ( |  | ) | const
| inlineinherited

## ◆ operator*()

template<uint32_t LOG2DIM>

uint32_t operator* | ( |  | ) | const
| inlineinherited

## ◆ operator++() [1/2]

template<uint32_t LOG2DIM>

DenseIterator & operator++ | ( |  | ) |
| inlineinherited

## ◆ operator++() [2/2]

template<uint32_t LOG2DIM>

DenseIterator operator++ | ( | int |  | ) |
| inlineinherited

## ◆ operator=()

template<typename ChildT >

DenseIterator & operator= | ( | const DenseIterator & |  | ) |
| default

## ◆ pos()

template<uint32_t LOG2DIM>

uint32_t pos | ( |  | ) | const
| inlineinherited

## ◆ probeChild()

template<typename ChildT >

ChildT * probeChild | ( | ValueType & | value | ) | const
| inline